qdel(1B)

NAME
qdel - delete PBS jobs

SYNOPSIS
qdel [ -Wforce | -Wsuppress_email=<N>] [-x] <job ID> [<job ID> ...]
qdel --version

DESCRIPTION
The qdel command deletes jobs in the order given, whether they are at the local server or at a remote server. Usage
The qdel command is used without options to delete queued, running, held, or suspended jobs, while the -x option gives it the additional capacity to delete finished or moved jobs. With the -x option, this command can be used on finished and moved jobs, in addition to queued, running, held, or suspended jobs. When this command is used without the -x option, if job history is enabled, the deleted job's history is retained. The -x option is used to additionally remove the history of the job being deleted. If someone other than the job's owner deletes the job, mail is sent to the job's owner, or to a list of mail recipients if specified during qsub. See the qsub(1B) man page. If the job is in the process of provisioning, it can be deleted only by using the -W force option. How Behavior of qdel Command Can Be Affected
The server's default_qdel_arguments attribute may affect the behavior of the qdel command. This attribute is settable by the administrator via the qmgr command. The attribute may be set to "-Wsuppress_email=<N>". The server attribute is overridden by command-line arguments. See the pbs_server_attributes(1B) man page. Sequence of Events

    The job's running processes are killed.

    The epilogue runs.

    Files that were staged in are staged out. This includes standard out (.o) and standard error (.e) files.

    Files that were staged in or out are deleted.

    The job's temp directory is removed.

    The job is removed from the MOM(s) and the server.

Required Privilege
A PBS job may be deleted by its owner, an Operator, or the administrator. The server deletes a PBS job by sending a SIGTERM signal, then, if there are remaining processes, a SIGKILL signal.

OPTIONS

(no options)
    Can delete queued, running, held, or suspended jobs. Does not delete job history for specified job(s).

-W force
    Deletes the job whether or not the job's execution host is reachable. Deletes the job whether or not the job is in the process of provisioning. Cannot be used with the -Wsuppress_email option. If the server can contact the MoM, this option is ignored; the server allows the job to be deleted normally. If the server cannot contact the MoM or the job is in the E state, the server deletes its information about the job.

-Wsuppress_email=<N>
    Sets limit on number of emails sent when deleting multiple jobs.
    If N >= 1 and N or more job IDs are given, N emails are sent.
    If N >=1 and less than N job IDs are given, the number of emails is the same as the number of jobs.
    If N = 0, this option is ignored.
    If N = -1, no email is sent.

    The <N> argument is an integer. Note that there is no space between "W" and "suppress_email". Cannot be used with the -Wforce option.

-x  Can delete running, queued, suspended, held, finished, or moved jobs. Deletes job history for specified job(s).

--version
    The qdel command returns its PBS version information and exits. This option can only be used alone.

OPERANDS
The qdel command accepts one or more space-separated job ID operands. These operands can be job identifiers, job array identifiers, subjob dentifiers, or subjob range identifiers. Job IDs have the form:
<sequence number>[.<server name>][@<server name>] Job arrays have the form:
<sequence number>[][.<server name>][@<server name>] Subjobs have the form:
<sequence number>[<index>][.<server name>][@<server name>] Ranges of subjobs have the form:
<sequence number>[<first>-<last>][.<server name>][@<server name>] Job array identifiers must be enclosed in double quotes for some shells.

STANDARD ERROR
The qdel command writes a diagnostic message to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon successful processing of input

Greater than zero
    Upon error

SEE ALSO
The PBS Professional User's Guide, the PBS Professional Administrator's Guide,
pbs_queue_attributes(7B), pbs_server_attributes(1B), qsub(1B), qsig(1B), pbs_deljob(3B)